<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/pg_begin.php";     //carrega arquivo de conexão

// dados repassados do programa chamados:
// = $sc_termo (código do termo)
// = $sc_granularidade (código da granularidade)

// seleciona as granularidades

// comando básico
$sql="
	select *
	from termo TT, seriehistoricatermo ST
	where TT.codigotermo = ST.codigotermo
	and ST.codigotermo = '" . $sc_termo . "'  
	and ST.codigogranularidade = '" . $sc_granularidade . "'
	and ST.codigoperiodicidade = " . $sc_periodicidade . "
	order by ST.valorperiodo asc, ST.valorgranularidade asc";
	
// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}
?>
	<table id="valores">
<?

$rows = pg_num_rows ($result);
if ($rows <= 0) { # não há série histórica desta  granularidade para este termo
	echo 'No momento n&atilde;o h&aacute; valores registrados para este termo.';
} else {
	?>

	<tr><th>Período</th><th><? echo $db_nomegranularidade ?></th><th>Valor</th></tr>

	<?

	// recupera as tuplas selecionadas
	while ($nt=pg_fetch_array($result))
	{
		// atribui valor a variaveis locais para db
		$db_unidadetermo = trim(pg_escape_string($nt['unidadetermo']));
		$db_valorperiodo = trim(pg_escape_string($nt['valorperiodo']));
		$db_valorgranularidade = trim(pg_escape_string($nt['valorgranularidade']));
		
		// valor é  formatado de acordo com a unidade do indicador
		// se a unidade do termo é percentual mostra % ao lado do valor
		$db_valortermo = trim(pg_escape_string($nt['valortermo']));
		if ($db_unidadetermo == '%') {
			$db_valortermo = number_format($db_valortermo, 1, ',', '') . '%';
		} else {
			$db_valortermo = number_format($db_valortermo, 0, ',', '');
		}
		
		echo '<tr>';
		echo '<td>' 
			. $db_valorperiodo . '</td><td>'
			. $db_valorgranularidade . '</td><td align="right">'
			. $db_valortermo . '</td>';
		
		// cria codigocomposto com termo;granularidade;periodicidade;valorperiodo;valorgranularidade;valortermo
		$aux_parametros = 
			array (
				$sc_termo,
				$sc_granularidade,
				$sc_periodicidade,
				$db_valorperiodo,
				$db_valorgranularidade,
				$db_valortermo);
		$aux_codigocomposto = join (';', $aux_parametros);

		// edição de uma linha da série histórica de um termo
		echo "\n" . '<td>';
		echo "\n" . '<form action="termosAtualizacaoFicha.php" method="post">';
		echo "\n" . '<input type="hidden" name="form_seriehistoricatermo" value ="' . $aux_codigocomposto . '"> ';
		echo "\n" . '<input type="hidden" name="form_operacao" value ="Atualizar"> ';
		echo "\n" . '<input type="image" src="images/Text-Document-icon.png">';
		// prepara os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo "\n" . '<input type="hidden" name="form_tema_busca"  value="' . $sc_tema_busca  .'">';
		echo "\n" . '<input type="hidden" name="form_termo_busca" value="' . $sc_termo_busca .'">';
		echo "\n" . '</form>';
		echo "\n" . '</td>';
		
		// deleção de um termo
		echo "\n" . '<td>';
		echo "\n" . '<form action="termosAtualizacaoFicha.php" method="post">';
		echo "\n" . '<input type="hidden" name="form_seriehistoricatermo" value ="' . $aux_codigocomposto . '"> ';
		echo "\n" . '<input type="hidden" name="form_operacao" value ="Remover"> ';
		echo "\n" . '<input type="image" src="images/Delete-icon.png">';
		// prepara os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo "\n" . '<input type="hidden" name="form_tema_busca"  value="' . $sc_tema_busca  .'">';
		echo "\n" . '<input type="hidden" name="form_termo_busca" value="' . $sc_termo_busca .'">';
		echo "\n" . '</form>';
		echo "\n" . '</td>';
	}

	// inclusão de um novo termo
	echo "\n" . '<tr>';
	echo "\n" . '<td colspan="3">';
	echo "\n" . '<form action="termosAtualizacaoFicha.php" method="post">';
	echo "\n" . '<input type="hidden" name="form_seriehistoricatermo" value ="' . $aux_codigocomposto . '"> ';
	echo "\n" . '<input type="hidden" name="form_operacao" value ="Incluir"> ';
	echo "\n" . '<input type="image" src="images/Add-icon.png">';
	// prepara os campos "escondidos" para permitir a volta ao resultado da pesquisa
	echo "\n" . '<input type="hidden" name="form_tema_busca"  value="' . $sc_tema_busca  .'">';
	echo "\n" . '<input type="hidden" name="form_termo_busca" value="' . $sc_termo_busca .'">';
	echo "\n" . '</form>';
	echo "\n" . '</td>';
	echo "\n" . '</tr>';

}
?>

</table>
